#pragma once

class BuddyEvent 
{
public:
	BuddyEvent();
	~BuddyEvent(void);

	void DeepRefresh(int eventId);
	void ShallowRefresh();
	void OnCustomNotify(int id, Notification& n);

	EventRecord record;

	ListItem * item;
};